

#version 3.7;

global_settings {
    adc_bailout       0.001
    ambient_light     rgb <1.000,1.000,1.000>
    assumed_gamma     2.200
    irid_wavelength   rgb <0.250,0.180,0.140> 
    max_trace_level   150 
    number_of_waves   10
    noise_generator   3
    charset           ascii
}

background { colour rgb <0.000,0.000,0.000> }

// ****************************************************************************
// referenced scene items and forced visible scene items declaration begin
// ****************************************************************************

#declare Sky =
pigment {
    image_map{
        jpeg "kitchen_probe.jpg"
        map_type 0
    }
}

#declare Invis =
texture {
    pigment {
        colour rgbft <1.000,0.000,0.000,0.000,1.000>
    }

}

#declare GlassMat0 =
material{
    texture {
        pigment {
            colour rgbft <1.000,1.000,1.000,0.950,0.000>
        }

        finish {
            ambient     rgb <0.000,0.000,0.000>
            brilliance  1.000
            crand       0.000
            diffuse     0.000
            metallic    0.000
            phong       0.000
            phong_size  40.000
            specular    1.000
            roughness   0.001
            reflection {
                rgb <0.200,0.200,0.200>, rgb <0.100,0.100,0.100>
                fresnel   1
                falloff   0.000
                exponent  1.000
                metallic  0.000
            }
        }

    }

    interior{
        ior                 1.333
        caustics            0.500
        dispersion          1.000
        dispersion_samples  7.000
        fade_power          0.000
        fade_distance       0.000
        fade_color          rgb <0.000,0.000,0.000>
    }

}

#declare BeerMat0 =
material{
    texture {
        pigment {
            colour rgbft <0.588,0.294,0.000,0.900,0.000>
        }

        finish {
            ambient     rgb <0.000,0.000,0.000>
            brilliance  1.000
            crand       0.000
            diffuse     0.000
            metallic    0.000
            phong       0.000
            phong_size  40.000
            specular    1.000
            roughness   0.001
        }

    }

    interior{
        ior                 1.100
        caustics            0.500
        dispersion          1.000
        dispersion_samples  7.000
        fade_power          0.000
        fade_distance       0.000
        fade_color          rgb <0.000,0.000,0.000>
    }

}

#declare Camera1 =
camera {
    perspective
    location <39.400,22.192,-22.850>
    up y
    right 1.333*x
    angle 35.000
    sky <-0.250,0.958,0.138>
    look_at < -0.389, 8.637, -0.852 >
}  // end Camera1


// ****************************************************************************
// referenced scene items and forced visible scene items declaration end
// ****************************************************************************

union {  // Lights
    light_source {  // Shadowless_Light_Source0
        < 0.000000, 0.000000, 0.000000 >, colour rgb <1.000,1.000,1.000>
        fade_power 0.000
        fade_distance 100.000
        media_attenuation off
        media_interaction on
        shadowless
        translate <15.811000,100.000000,-200.977356>
    }  // end Shadowless_Light_Source0

    light_source {  // Light_Source0
        < 0.000000, 0.000000, 0.000000 >, colour rgb <1.000,1.000,1.000>*3.000
        fade_power 2.000
        fade_distance 100.000
        media_attenuation on
        media_interaction on
        translate <-24.636320,55.859425,-195.075000>
    }  // end Light_Source0

}  // end Lights

sky_sphere {  // KitchenProbe
    pigment{ Sky }

    rotate    <25.420,0.000,0.000>
}  // end KitchenProbe

union {  // PintOfBeer0
    sor {  // BeerSor2
        17
        < 0.000, 0.720 >
        < 0.000, 1.052 >
        < 2.484, 1.053 >
        < 3.021, 1.054 >
        < 3.200, 1.068 >
        < 3.331, 2.048 >
        < 3.524, 4.249 >
        < 3.942, 9.721 >
        < 4.091, 10.586 >
        < 4.233, 10.908 >
        < 4.407, 11.152 >
        < 4.494, 11.475 >
        < 4.425, 11.923 >
        < 4.284, 12.347 >
        < 4.204, 12.913 >
        < 4.263, 14.170 >
        < 4.276, 14.250 >
        sturm
        material{ BeerMat0 }
        scale     <0.980000,1.000000,0.980000>
    }  // end BeerSor2

    lathe {  // GlassLathe0
        cubic_spline
        20
        < 0.000, -0.551 >
        < 0.092, 0.010 >
        < 3.131, 0.022 >
        < 3.186, 0.023 >
        < 3.493, 4.249 >
        < 3.925, 10.000 >
        < 4.437, 11.431 >
        < 4.143, 12.899 >
        < 4.301, 15.000 >
        < 4.300, 15.081 >
        < 4.290, 15.081 >
        < 4.291, 15.000 >
        < 4.133, 12.899 >
        < 4.427, 11.431 >
        < 3.915, 10.000 >
        < 3.483, 4.249 >
        < 3.184, 1.371 >
        < 2.829, 1.026 >
        < 0.000, 0.994 >
        < 0.000, 0.415 >
        sturm
        material{ GlassMat0 }
    }  // end GlassLathe0

    translate <0.000000,0.361000,0.000000>
}  // end PintOfBeer0


camera{ Camera1 }

